Diff.Depth Stream
Request:
{
"method": "SUBSCRIPTION",
"params": [
"spot@public.aggre.depth.v3.api.pb@100ms@BTCUSDT"
]
}
Response:
{
"channel": "spot@public.aggre.depth.v3.api.pb@100ms@BTCUSDT",
"publicincreasedepths": {
"asksList": [], // asks: Sell orders
"bidsList": [ // bids: Buy orders
{
"price": "92877.58", // Price level of change
"quantity": "0.00000000" // Quantity
}
],
"eventtype": "spot@public.aggre.depth.v3.api.pb@100ms", // Event type
"fromVersion" : "10589632359", // from version
"toVersion" : "10589632359" // to version
},
"symbol": "BTCUSDT", // Trading pair
"sendtime": 1736411507002 // Event time
}
If the order quantity (quantity) for a price level is 0, it indicates that the order at that price has been canceled or executed, and that price level should be removed.
Request Parameter: spot@public.aggre.depth.v3.api.pb@(100ms|10ms)@<symbol>
Response Parameters:
| Parameter | Data Type | Description |
|---|---|---|
| price | string | Price level of change |
| quantity | string | Quantity |
| eventtype | string | Event type |
| version | string | Version number |
| symbol | string | Trading pair |
| sendtime | long | Event time |